
F = ma
a = F/m
v = int a + v0
s = int v + s0

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Bruk av bump uten friksjon eller fjær

dt = 0.001; % sec
T = [0 : dt : 5*2]';
sizeT = size(T, 1);
sizeT_2 = floor(sizeT/2);
sizeT_4 = floor(sizeT/4);
S = zeros(sizeT, 1);
V = zeros(sizeT, 1);
A = zeros(sizeT, 1);
F = zeros(sizeT, 1);
v0 = 0;
s0 = 0;
m = 1;

Fcos = @(T) 0.5*cos(pi*(2*T - 5)/5) + 0.5;

f = 0;
for n = 1 : sizeT
    
    
    if n < sizeT_4 || n > 3*sizeT_4
        F(n) = 0.5*cos(pi*(2*T(n))/5)+0.5;
    else
        F(n) = -(0.5*cos(pi*(2*T(n))/5)+0.5);
    end
    
    a = F(n)/m;
    v = dt*F(n)/m + v0;
    s = dt*dt*0.5*F(n)/m + dt*v0 + s0;
    
    v0 = v;
    s0 = s;
    S(n) = s;
    
end
fig1;plott(T, S/max(S));grid on ;hold on
plott(T, F/max(F),'lCol',[.5 .5 1], 'hold');
plott(T, sin(pi*T/10).*sin(pi*T/10),'lCol',[1 .5 .5], 'hold'); % ref

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Bruk av firk uten friksjon eller fjær

dt = 0.001; % sec
T = [0 : dt : 5*2]';
sizeT = size(T, 1);
sizeT_2 = floor(sizeT/2);
sizeT_4 = floor(sizeT/4);
S = zeros(sizeT, 1);
V = zeros(sizeT, 1);
A = zeros(sizeT, 1);
F = zeros(sizeT, 1);
v0 = 0;
s0 = 0;
m = 1;

Fcos = @(T) 0.5*cos(pi*(2*T - 5)/5) + 0.5;

f = 0;
for n = 1 : sizeT
    
    
    if n < sizeT_4 || n > 3*sizeT_4
        F(n) = 1;
    else
        F(n) = -1;
    end
    
    a = F(n)/m;
    v = dt*F(n)/m + v0;
    s = dt*dt*0.5*F(n)/m + dt*v0 + s0;
    
    v0 = v;
    s0 = s;
    S(n) = s;
    
end
fig2;plott(T, S/max(S));grid on ;hold on
plott(T, F/max(F),'lCol',[.5 .5 1], 'hold');
plott(T, sin(pi*T/10).*sin(pi*T/10),'lCol',[1 .5 .5], 'hold'); % ref

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Bruk av asum firk uten friksjon eller fjær

dt = 0.001; % sec
T = [0 : dt : 5]';
S = zeros(sizeT, 1);
V = zeros(sizeT, 1);
A = zeros(sizeT, 1);
F = zeros(sizeT, 1);
v0 = 0;
s0 = 0;
m = 1;


    
maxN = size(T, 1); 
turnPfrac = 0.01;    

f = 0;
for n = 1 : sizeT
    
    
 F(n) = 10*calcSkewCurveSquare(n, maxN, turnPfrac); 
    
    a = F(n)/m;
    v = dt*F(n)/m + v0;
    s = dt*dt*0.5*F(n)/m + dt*v0 + s0;
    
    v0 = v;
    s0 = s;
    S(n) = s;
    
end
fig2;plott(T, S/max(S));grid on ;hold on
plott(T, F/max(F),'lCol',[.5 .5 1], 'hold');
plott(T, sin(pi*T/10).*sin(pi*T/10),'lCol',[1 .5 .5], 'hold'); % ref

%%%%%%%%%%%%%%%%%%%%%%%%% BUMPS


t = -0.99: 0.01 : 0.99;

y = exp(-1./(1-t.*t));y = y/max(y);
fig1;plott(t,y);
hold on
gaus = @(x,mu,sig,amp,vo)amp*exp(-(((x-mu).^2)/(2*sig.^2)))+vo;
y = gaus(t, 0, 0.25, 1, 0);
plott(t,y, 'lCol', [1 0 1]);
y = 0.5*cos(pi*t)+0.5;
plott(t,y, 'lCol', [1 1 1]);

axis on;

clf
t = 0 : 200;
y = 0.5*cos(pi*(2*t-200)/200)+0.5;
plott(t,y, 'lCol', [1 1 1]);








